﻿using C_.Datastructures.Generic;

namespace C_.Datastructures.Queue
{
    internal class QueueNode<T> : UndirectedNode<T, QueueNode<T>>
    {
        public static QueueNode<T> Create(T? value, QueueNode<T>? next)
        {
            return new QueueNode<T>
            {
                Value = value,
                Next = next
            };
        }
    }
}
