﻿using C_.Datastructures.Generic;

namespace C_.Datastructures.LinkedList
{
    internal class LinkedListNode<T> : UndirectedNode<T, LinkedListNode<T>>
    {//Inherits from Node
        public static LinkedListNode<T> Create(T? value, LinkedListNode<T>? next)
        {
            return new LinkedListNode<T>
            {
                Value = value,
                Next = next
            };
        }
    }
}
